| Home | Libraries | People | FAQ | More

#### piece_type

Enumerates types of pieces (parts of buffer) around geometries.

###### Synopsis

    enum piece_type
    {
        buffered_segment,
        buffered_join,
        buffered_round_end,
        buffered_flat_end,
        buffered_point,
        buffered_concave
    };

###### Values

Value | Description
--- | ---
buffered_segment |
buffered_join |
buffered_round_end |
buffered_flat_end |
buffered_point |
buffered_concave |

###### Header

`#include <boost/geometry/strategies/buffer.hpp>`